Skip to main content
POST
/
v1
/
retrievers
/
list
List Retrievers
curl --request POST \
  --url https://api.mixpeek.com/v1/retrievers/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "search": "<string>",
  "filters": {},
  "sorts": [
    {}
  ],
  "case_sensitive": false
}
'
{
  "results": [
    {
      "retriever_name": "<string>",
      "stages": [
        {
          "stage_name": "<string>",
          "config": {},
          "batch_size": "<string>",
          "description": "<string>",
          "on_error": "<string>",
          "output_alias": "<string>"
        }
      ],
      "fusion": "<string>",
      "retriever_id": "<string>",
      "description": "<string>",
      "collection_ids": [
        "<string>"
      ],
      "input_schema": {},
      "budget_limits": {
        "max_credits": 1,
        "max_time_ms": 1
      },
      "feature_dependencies": [
        {
          "extractor": "<string>",
          "version": "<string>",
          "scheme": "mixpeek",
          "output": "<string>"
        }
      ],
      "tags": [
        "<string>"
      ],
      "display_config": {},
      "version": 1,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "updated_by": "<string>",
      "is_published": false,
      "marketplace_listing_id": "<string>"
    }
  ],
  "total": 0,
  "pagination": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "next_page": "<string>",
    "previous_page": "<string>",
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
Required range: 1 <= x <= 1000
page_size
integer | null
Required range: 1 <= x <= 1000
offset
integer | null
Required range: 0 <= x <= 10000
page
integer | null
Required range: x >= 1
cursor
string | null
include_total
boolean
default:false

Body

application/json

Request to list retrievers.

search
string | null

Search term for wildcard search across retriever_id, retriever_name, description, and other text fields

filters
Filters · object | null

Filters applied directly to the query — any stored field works, e.g. {"collection_ids": {"$in": ["col_x"]}} to filter by collection, or {"retriever_name": "..."}.

sorts
Sorts · object[] | null

Sort options for the retriever list

case_sensitive
boolean
default:false

If True, filters and search will be case-sensitive

Response

Successful Response

Response from listing retrievers.

results
RetrieverModel · object[]

List of retrievers in the namespace.

total
integer
default:0

Total number of retrievers.

pagination
PaginationResponse · object | null

Pagination details (next/previous cursors and total).